%define pname		jcr
%define name		jcr-1.0-api
%define version		1.0
%define cvs_version	1_0
%define release		1jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Content Repository for Java technology API
License:	Sun Binary Code License
Url:		http://jcp.org/en/jsr/detail?id=170
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	cr-1_0-fr-spec.zip
NoSource:	0
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This Package contains the Specification for the 
Content Repository for Java(tm) Technology API.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n jsr170-1.0
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 lib/%{pname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Oct 18 2005 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First JPackage release

